from Ft.Server.Console.Widgets import *

class TCreateModel(TForm):
    def __init__(self, owner):

        TForm.__init__(self, owner,
                       borderIcons=[biSystemMenu, biMinimize],
                       borderStyle=bsSingle,
                       caption='Create Model',
                       clientHeight=221,
                       clientWidth=349,
                       color=clBtnFace,
                       position=poScreenCenter)
        

        TLabel(self, top=5,
               left=30,
               width=93,
               height=20,
               caption='Model URI:')

        self.modelUri = TEdit(self, top=5,
                              left=100,
                              width=203,
                              height=22,
                              )

        self.enforceSchema = TCheckbutton(self, top=50,
                                          left=85,
                                          width=146,
                                          height=22,
                                          text='Enforce Schema',
                                          )
        TLabel(self, top=100,
               left=30,
               width=93,
               height=20,
               caption='Read Access Indetifier:')

        self.readAcl = TEdit(self, top=100,
                             left=200,
                             width=203,
                             height=22,
                             )



        TLabel(self, top=125,
               left=30,
               width=93,
               height=20,
               caption='Write Access Indetifier:')

        self.writeAcl = TEdit(self, top=125,
                              left=200,
                              width=203,
                              height=22,
                              )



        self.createButton = TButton(self, top = 150,
                                    left = 50,
                                    caption='Create',
                                    modalResult=mrOk,
                                    onClick = self.onCreateClick
                                    )

        self.cancelButton = TButton(self, top = 150,
                                    left = 150,
                                    caption='Cancel',
                                    modalResult=mrCancel,
                                    onClick = self.onCancelClick
                                    )


    def onShow(self, sender):

        so = UserServerLib.GetSessionObject(self.sessionId)
        sender.readAcl.text = so.userName
        sender.writeAcl.text = so.userName
        sender.modelUri.text = ''
        sender.modelUri.focus_set()
        return

    def onCancelClick(self, sender):
        sender.data = None
        return

    def onCreateClick(self, sender):
        #if sender.anonymous.checked:
        #    sender.authentication = (1,'','')
        #else:
        #    import sha
        #    userName = sender.userName.text
        #    password = sha.new(sender.password.text).hexdigest()
        #    sender.authentication = (0,userName, password)
        sender.createButton.modalResult = mrOk
        return
