########################################################################
#
# File Name:            XmlDocumentProxy.py
#
# Documentation:        http://docs.4suite.org/4SS/COS/Lib/XmlServerLib.py.html
#
"""
Implements the CORBA XmlServer service
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 1999-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""
import omniORB
import FtServerResources
from Ft.Server.Protocols.CORBA import MessageSource
import RawFileProxy

#Overidden class
oldBase = omniORB.objrefMapping[FtServerResources.XmlDocumentIf._NP_RepositoryId]
class XmlDocumentProxyIf(oldBase,RawFileProxy.RawFileProxyIf):
    base = oldBase



for name,value in RawFileProxy.RawFileProxyIf.__dict__.items():
    if name in ['__doc__','base','__module__']:
        continue
    setattr(XmlDocumentProxyIf,name,value)

omniORB.registerObjref(FtServerResources.XmlDocumentIf._NP_RepositoryId, XmlDocumentProxyIf)












