import os
from Tkinter import *


class AboutDialog:

    def __init__(self,root,aboutImage):

        self.top = Toplevel(root)
        self.top.title("About")


        w, h = aboutImage.width(), aboutImage.height()
        canv = Canvas(self.top, width=w, height=h)
        canv.create_image(0, 0, anchor=NW, image=aboutImage)
        canv.grid()
        #canv.bind('<Button-1>', blob)

        b = Button(self.top,text='OK')
        b.grid(row=1)
        b.bind("<Button-1>",self.close)

    def close(self,event):
        self.top.destroy()


def blob(event):
    x, y = event.x, event.y
    canv = event.widget
    r = 5
    canv.create_oval(x-r, y-r, x+r, y+r, fill='red', outline="")
