import cStringIO, traceback
import FtServer
from FtssExceptions import UnknownPythonException, InvalidLoginException, ObjectHasBeenDeletedException

def LogUnknownPythonException():
    s = cStringIO.StringIO()
    traceback.print_exc(file = s)
    message = s.getvalue()
    msg = "*****Unknown Python Exception*****\n%s" % (message)
    #(serverName,msg)
    return UnknownPythonException(message)

    
def LogInvalidLoginException(userName):
    msg = "*****Invalid Login Exception*****%s" % (userName)
    #LogError(serverName,msg)
    return InvalidLoginException(userName)


def LogObjectHasBeenDeletedException(uri):
    msg = "*****Object Has Been Deleted Exception*****%s" % (uri)
    #LogError(serverName,msg)
    return ObjectHasBeenDeletedException(uri)

    
