import FtServerResources__POA, FtServerResources
from Ft.Server.Protocols.CORBA.FtOmniorb import OoResourceImp



class RepositoryObjectImp(FtServerResources__POA.RepositoryObjectIf,OoResourceImp.ResourceImp):

    def getParent(self):
        return self._runSafe(self.resource.getParent,(),self._mapResource)


    def addResourceProperty(self,predicate,object,domain,statementUri):
        return self._runSafe(self._addResourceProperty,(predicate,object,sourceURi,statementUri))

    def getStatementsAbout(self):
        return self._runSafe(self.resource.getStatementsAbout,(),self._mapRdfStatements)

    def getStatementsGeneratedBy(self):
        return self._runSafe(self.resource.getStatementsGeneratedBy,(),self._mapRdfStatements)


    def _addResourceProperty(self,predicate,object,domain,statementUri):
        internalObject = self.resource.fetchResource(object.getUri())
        return self.resource.addResourceProperty(predicate,object,domain,statementUri)

        
                      
