#ifndef __DOM__PROCESSING_INSTRUCTION__
#define __DOM__PROCESSING_INSTRUCTION__

#ifdef __cplusplus
extern "C" {
#endif

#include "Python.h"
#include "node.h"

  extern PyObject *g_processingInstructionNodeType;

  typedef struct {
    PyDom_NODE
    PyObject *target;
    PyObject *nodeValue;
  } PyProcessingInstructionObject;

#define PyProcessingInstruction_Check(op) ((op)->ob_type == &PyDomletteProcessingInstruction_Type)

  int pi_test_ref_counts(PyObject *tester,PyProcessingInstructionObject *node,long *childCtr,PyObject *internDict,int base);

  PyProcessingInstructionObject *ProcessingInstruction_CloneNode(PyProcessingInstructionObject *pi,int deep,PyObject *newOwnerDocument);

  extern DL_EXPORT(PyTypeObject) PyDomletteProcessingInstruction_Type;


  /*PI Methods */

#ifdef __cplusplus
}
#endif


#endif
